//==============================================================================
//    S E N S I R I O N   AG,  Laubisruetistr. 50, CH-8712 Staefa, Switzerland
//==============================================================================
// Project   :  SF05 Sample Code (V1.1)
// File      :  system.c (V1.0)
// Author    :  RFU
// Date      :  07-Nov-2012
// Controller:  STM32F100RB
// IDE       :  Vision V4.60.0.0
// Compiler  :  Armcc
// Brief     :  System functions
//==============================================================================

//-- Includes ------------------------------------------------------------------
#include "system.h"

//==============================================================================
void SystemInit(void)
//==============================================================================
{
  // no initialization required
}

//==============================================================================
void DelayMicroSeconds(u32t nbrOfUs)
//==============================================================================
{
  u32t i;
  for(i = 0; i < nbrOfUs; i++)
  {  
    __nop();  // nop's may be added or removed for timing adjustment
    __nop();
    __nop();
    __nop();
  }
}

